# List

`GET /api/2.1/unity-catalog/entity-tag-assignments/{entity_type}/{entity_name}/tags`

List tag assignments for an Unity Catalog entity

 PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `entity_name` (string, optional)
  The fully qualified name of the entity to which the tag is assigned
- `entity_type` (string, optional)
  The type of the entity to which the tag is assigned.

## Query parameters

- `max_results` (int32, optional)
  Optional. Maximum number of tag assignments to return in a single page
- `page_token` (string, optional)
  Optional. Pagination token to retrieve the next page of results

## Returns

Returns a list of EntityTagAssignment objects.

## Response

```json
{
  "next_page_token": "eyJsYXN0X2V2YWx1YXRlZF9rZXkiOiAiT3duZXIifQ==",
  "tag_assignments": [
    {
      "entity_name": "main.default.customer_data.phone",
      "entity_type": "columns",
      "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_SYSTEM_DATA_CLASSIFICATION",
      "tag_key": "class.phone_number",
      "tag_value": "true",
      "update_time": "2026-01-14T08:15:00.000Z",
      "updated_by": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "entity_name": "main.default.customer_data.phone",
      "entity_type": "columns",
      "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED",
      "tag_key": "Sensitivity",
      "tag_value": "high",
      "update_time": "2026-01-15T10:30:00.000Z",
      "updated_by": "user@example.com"
    },
    {
      "entity_name": "main.default.customer_data.phone",
      "entity_type": "columns",
      "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED",
      "tag_key": "Owner",
      "tag_value": "data-team",
      "update_time": "2026-01-13T14:20:00.000Z",
      "updated_by": "admin@example.com"
    }
  ]
}
```

